| Bsoft 2.0.5 Bernard's software package

Functions
gal_ricoI.h File Reference
`#include "kernlut.h"`
`#include "rwimg.h"`

Go to the source code of this file.

## Functions
Bimage * | gal_ricoI (Bimage *p, int tipo, kernel *ker, int padd)
| Reconstruct an image from a sinogram. More...

## Detailed Description

Author
  P.L. Bellon, F. Cantele and S. Lanzavecchia Dip. Chimica Strutturale e Stereochimica Inorganica Via Venezian 21, 20133 Milano, Italy

Date
  Created: 7 04 2003
  Modified: 07 07 2005

Definition in file gal_ricoI.h.

## Function Documentation

## ◆ gal_ricoI()

Bimage* gal_ricoI | ( | Bimage * | p,
|  | int | tipo,
|  | kernel * | ker,
|  | int | padd
| ) |  |

Reconstruct an image from a sinogram.

Parameters

  *p | parameters of the image
  tipo | type of reconstruction (can be 1/2/3/4)
  *ker | table of coefficients for interpolation
  padd | use of padding (0/1)

Returns
  int 0

      float *psource  = sinogram
      float *pdest    = reconstructed image

Definition at line 36 of file gal_ricoI.cpp.